Bug 1753 - Reading process got broken on Feb 07, 08
Reading process got broken on Feb 07, 08
Status: CLOSED FIXED
Product: electric
Classification: Unclassified
Component: IO
1
PC Linux
: P1 blocker
: ---
Assigned To: developers
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-15 05:36 UTC by strubin
Modified: 2011-04-15 20:04 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description strubin 2011-04-15 05:36:58 UTC
** ORIGINALLY POSTED BY Gilda Garreton on 2008-02-08 10:58:24 **

Most of the failures in last night regression are due to exception below and I can't read most of the libraries I work with. 

java.lang.UnsupportedOperationException
        at com.sun.electric.database.geometry.EPoint.setLocation(EPoint.java:226)
        at java.awt.geom.AffineTransform.transform(AffineTransform.java:2114)
        at com.sun.electric.tool.io.input.JELIB.figureOutPortInst(JELIB.java:538)
        at com.sun.electric.tool.io.input.JELIB.instantiateCellContent(JELIB.java:409)
        at com.sun.electric.tool.io.input.JELIB.realizeCellsRecursively(JELIB.java:282)
        at com.sun.electric.tool.io.input.LibraryFiles.cleanupLibraryInput(LibraryFiles.java:886)
        at com.sun.electric.tool.io.input.LibraryFiles.readLibrary(LibraryFiles.java:216)
        at com.sun.electric.tool.generator.layout.LayoutLib.openLibForRead(LayoutLib.java:109)
        at com.sun.electric.plugins.tests.DRCToolTest.getCellToDRC(DRCToolTest.java:340)
        at com.sun.electric.plugins.tests.DRCToolTest.basicDRCTest(DRCToolTest.java:414)
        at com.sun.electric.plugins.tests.DRCToolTest.basicDRCTest(DRCToolTest.java:329)


SVN Version=080208_0000 Host=frehley User=gg151869
--------------------------------------------------------------
run ant
--------------------------------------------------------------
run Database regression
Database regression failed!
--------------------------------------------------------------
run Logical Effort regression
Logical Effort regression failed!
--------------------------------------------------------------
run Extraction regression
Passed.
--------------------------------------------------------------
run Routing regression
Routing regression failed!
--------------------------------------------------------------
run IO regression
IO regression failed!
--------------------------------------------------------------
run Compaction regression
Passed.
--------------------------------------------------------------
run Generators regression
Passed.
--------------------------------------------------------------
run GDS and CIF Export regression
Passed.
--------------------------------------------------------------
run gate layout generation regression
gate layout regression failed!
--------------------------------------------------------------
run DRC regression
DRC regression failed!
--------------------------------------------------------------
run NCC regression
NCC regression failed!
--------------------------------------------------------------
run ERC regression
Passed.
--------------------------------------------------------------
done
Some regression test failed.
Comment 1 strubin 2011-04-15 15:14:43 UTC
** ORIGINALLY POSTED BY nadezhin on 2008-02-08 20:32:42 **

FIX: In JELIB.figureOutPortInst use local variable for transformed port position.
     In.JelibParser.getVariableValue extract substring for x value of EPoint .
Comment 2 strubin 2011-04-15 15:14:46 UTC
** ORIGINALLY POSTED BY Gilda Garreton on 2008-02-11 14:01:38 **

released in v8.07d and verified. Closing now.